Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# nedelec_ex1.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
void | print_out (FE &fe)
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 10 of file nedelec_ex1.cpp. References Nedelec::compute_basis_functions(), nsd, print_out(), and Nedelec::set().
    00010            {
    00011   ReferenceTriangle triangle;
    00012   Nedelec fe;
    00013   fe.set(triangle);
    00014   fe.set(0);
    00015   fe.compute_basis_functions();
    00016   cout <<"-------- 0 order ---------- 2D "<<endl;
    00017   print_out(fe);
    00018
    00019   fe.set(1);
    00020   fe.compute_basis_functions();
    00021   cout <<"-------- 1 order ---------- 2D"<<endl;
    00022   print_out(fe);
    00023
    00024   fe.set(2);
    00025   fe.compute_basis_functions();
    00026   cout <<"-------- 2 order ---------- 2D"<<endl;
    00027   print_out(fe);
    00028
    00029   fe.set(3);
    00030   fe.compute_basis_functions();
    00031   cout <<"-------- 2 order ---------- 2D"<<endl;
    00032   print_out(fe);
    00033
    00034
    00035
    00036
    00037
    00038   nsd = 3;
    00039   ReferenceTetrahedron tetrahedon;
    00040   fe.set(tetrahedon);
    00041   fe.set(0);
    00042   fe.compute_basis_functions();
    00043   cout <<"-------- 0 order ---------- 3D "<<endl;
    00044   print_out(fe);
    00045
    00046   fe.set(1);
    00047   fe.compute_basis_functions();
    00048   cout <<"-------- 1 order ---------- 3D "<<endl;
    00049   print_out(fe);
    00050
    00051   fe.set(2);
    00052   fe.compute_basis_functions();
    00053   cout <<"-------- 2 order ---------- 3D "<<endl;
    00054   print_out(fe);
    00055
    00056   fe.set(3);
    00057   fe.compute_basis_functions();
    00058   cout <<"-------- 2 order ---------- 3D "<<endl;
    00059   print_out(fe);
    00060
    00061
    00062
    00063
    00064 }

void print_out | ( | FE & | fe | ) |

| Definition at line 4 of file nedelec_ex1.cpp. References FE::N(), and FE::nbf(). Referenced by main().
    00004                        {
    00005   for (int i=0; i< fe.nbf(); i++) {
    00006     cout <<"fe.N("<<i<<")        =       "<<fe.N(i)<<endl;
    00007   }
    00008 }